org.apache.ignite.springdata.repository.query

## Class IgniteQuery

- java.lang.Object
- - org.apache.ignite.springdata.repository.query.IgniteQuery

-     public class IgniteQuery
      extends Object

  Ignite query helper class. For internal use only.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteQuery(String sql, boolean isFieldQuery, org.apache.ignite.springdata.repository.query.IgniteQuery.Option option)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFieldQuery()` Returns `true` if it's Ignite SQL fields query, `false` otherwise.
    `org.apache.ignite.springdata.repository.query.IgniteQuery.Option` | `options()` Advanced querying option.
    `String` | `sql()` Text string of the query.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteQuery

          public IgniteQuery(String sql,
                             boolean isFieldQuery,
                             org.apache.ignite.springdata.repository.query.IgniteQuery.Option option)

      Parameters:
        `sql` - Sql.
        `isFieldQuery` - Is field query.
        `option` - Option.

  - ### Method Detail

    - #### sql

          public String sql()

      Text string of the query.
      Returns:
        SQL query text string.

    - #### isFieldQuery

          public boolean isFieldQuery()

      Returns `true` if it's Ignite SQL fields query, `false` otherwise.
      Returns:
        `true` if it's Ignite SQL fields query, `false` otherwise.

    - #### options

          public org.apache.ignite.springdata.repository.query.IgniteQuery.Option options()

      Advanced querying option.
      Returns:
        querying option.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020